//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vhudson-jaxb-ri-2.1-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2013.09.25 at 11:29:15 AM COT 
//
package co.gov.igac.data.converted.xsd;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;

/**
 * This object contains factory methods for each Java content interface and Java element interface
 * generated in the co.gov.igac.data.converted.xsd package.
 * <p>
 * An ObjectFactory allows you to programatically construct new instances of the Java representation
 * for XML content. The Java representation of XML content can consist of schema derived interfaces
 * and classes representing the binding of schema type definitions, element declarations and model
 * groups. Factory methods for each of these are provided in this class.
 *
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _PredioConvNumPredialAnterior_QNAME = new QName(
        "http://converted.data.igac.gov.co/xsd", "numPredialAnterior");
    private final static QName _PredioConvDireccion_QNAME = new QName(
        "http://converted.data.igac.gov.co/xsd", "direccion");
    private final static QName _PredioConvCodDpto_QNAME = new QName(
        "http://converted.data.igac.gov.co/xsd", "codDpto");
    private final static QName _PredioConvCodMpio_QNAME = new QName(
        "http://converted.data.igac.gov.co/xsd", "codMpio");
    private final static QName _PredioConvCodDestino_QNAME = new QName(
        "http://converted.data.igac.gov.co/xsd", "codDestino");
    private final static QName _PredioConvMatricula_QNAME = new QName(
        "http://converted.data.igac.gov.co/xsd", "matricula");
    private final static QName _PredioConvNumPredialNuevo_QNAME = new QName(
        "http://converted.data.igac.gov.co/xsd", "numPredialNuevo");
    private final static QName _ConsultaIGACParamsNumeroPredial_QNAME = new QName(
        "http://converted.data.igac.gov.co/xsd", "numeroPredial");
    private final static QName _ConsultaIGACParamsNumeroDocumento_QNAME = new QName(
        "http://converted.data.igac.gov.co/xsd", "numeroDocumento");
    private final static QName _ConsultaIGACParamsPagina_QNAME = new QName(
        "http://converted.data.igac.gov.co/xsd", "pagina");
    private final static QName _ConsultaIGACParamsPrimerApellido_QNAME = new QName(
        "http://converted.data.igac.gov.co/xsd", "primerApellido");
    private final static QName _ConsultaIGACParamsRazonSocial_QNAME = new QName(
        "http://converted.data.igac.gov.co/xsd", "razonSocial");
    private final static QName _ConsultaIGACParamsSegundoNombre_QNAME = new QName(
        "http://converted.data.igac.gov.co/xsd", "segundoNombre");
    private final static QName _ConsultaIGACParamsTipoDocumento_QNAME = new QName(
        "http://converted.data.igac.gov.co/xsd", "tipoDocumento");
    private final static QName _ConsultaIGACParamsTipoNumeroPredial_QNAME = new QName(
        "http://converted.data.igac.gov.co/xsd", "tipoNumeroPredial");
    private final static QName _ConsultaIGACParamsPrimerNombre_QNAME = new QName(
        "http://converted.data.igac.gov.co/xsd", "primerNombre");
    private final static QName _ConsultaIGACParamsSegundoApellido_QNAME = new QName(
        "http://converted.data.igac.gov.co/xsd", "segundoApellido");
    private final static QName _PropietarioTypeNumDoc_QNAME = new QName(
        "http://converted.data.igac.gov.co/xsd", "numDoc");
    private final static QName _PropietarioTypeTipoDoc_QNAME = new QName(
        "http://converted.data.igac.gov.co/xsd", "tipoDoc");
    private final static QName _PropietarioTypeNombre_QNAME = new QName(
        "http://converted.data.igac.gov.co/xsd", "nombre");
    private final static QName _ExceptionException_QNAME = new QName(
        "http://converted.data.igac.gov.co/xsd", "Exception");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes
     * for package: co.gov.igac.data.converted.xsd
     *
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link PredioConv }
     *
     */
    public PredioConv createPredioConv() {
        return new PredioConv();
    }

    /**
     * Create an instance of {@link ConsultaIGACParams }
     *
     */
    public ConsultaIGACParams createConsultaIGACParams() {
        return new ConsultaIGACParams();
    }

    /**
     * Create an instance of {@link Exception }
     *
     */
    public Exception createException() {
        return new Exception();
    }

    /**
     * Create an instance of {@link PropietarioType }
     *
     */
    public PropietarioType createPropietarioType() {
        return new PropietarioType();
    }

    /**
     * Create an instance of {@link ConsultaIGACConv }
     *
     */
    public ConsultaIGACConv createConsultaIGACConv() {
        return new ConsultaIGACConv();
    }

    /**
     * Create an instance of {@link TerrenoType }
     *
     */
    public TerrenoType createTerrenoType() {
        return new TerrenoType();
    }

    /**
     * Create an instance of {@link ConstruccionType }
     *
     */
    public ConstruccionType createConstruccionType() {
        return new ConstruccionType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "http://converted.data.igac.gov.co/xsd", name = "numPredialAnterior",
        scope = PredioConv.class)
    public JAXBElement<String> createPredioConvNumPredialAnterior(String value) {
        return new JAXBElement<String>(_PredioConvNumPredialAnterior_QNAME, String.class,
            PredioConv.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "http://converted.data.igac.gov.co/xsd", name = "direccion", scope =
        PredioConv.class)
    public JAXBElement<String> createPredioConvDireccion(String value) {
        return new JAXBElement<String>(_PredioConvDireccion_QNAME, String.class, PredioConv.class,
            value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "http://converted.data.igac.gov.co/xsd", name = "codDpto", scope =
        PredioConv.class)
    public JAXBElement<String> createPredioConvCodDpto(String value) {
        return new JAXBElement<String>(_PredioConvCodDpto_QNAME, String.class, PredioConv.class,
            value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "http://converted.data.igac.gov.co/xsd", name = "codMpio", scope =
        PredioConv.class)
    public JAXBElement<String> createPredioConvCodMpio(String value) {
        return new JAXBElement<String>(_PredioConvCodMpio_QNAME, String.class, PredioConv.class,
            value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "http://converted.data.igac.gov.co/xsd", name = "codDestino",
        scope = PredioConv.class)
    public JAXBElement<String> createPredioConvCodDestino(String value) {
        return new JAXBElement<String>(_PredioConvCodDestino_QNAME, String.class, PredioConv.class,
            value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "http://converted.data.igac.gov.co/xsd", name = "matricula", scope =
        PredioConv.class)
    public JAXBElement<String> createPredioConvMatricula(String value) {
        return new JAXBElement<String>(_PredioConvMatricula_QNAME, String.class, PredioConv.class,
            value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "http://converted.data.igac.gov.co/xsd", name = "numPredialNuevo",
        scope = PredioConv.class)
    public JAXBElement<String> createPredioConvNumPredialNuevo(String value) {
        return new JAXBElement<String>(_PredioConvNumPredialNuevo_QNAME, String.class,
            PredioConv.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "http://converted.data.igac.gov.co/xsd", name = "direccion", scope =
        ConsultaIGACParams.class)
    public JAXBElement<String> createConsultaIGACParamsDireccion(String value) {
        return new JAXBElement<String>(_PredioConvDireccion_QNAME, String.class,
            ConsultaIGACParams.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "http://converted.data.igac.gov.co/xsd", name = "numeroPredial",
        scope = ConsultaIGACParams.class)
    public JAXBElement<String> createConsultaIGACParamsNumeroPredial(String value) {
        return new JAXBElement<String>(_ConsultaIGACParamsNumeroPredial_QNAME, String.class,
            ConsultaIGACParams.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "http://converted.data.igac.gov.co/xsd", name = "numeroDocumento",
        scope = ConsultaIGACParams.class)
    public JAXBElement<String> createConsultaIGACParamsNumeroDocumento(String value) {
        return new JAXBElement<String>(_ConsultaIGACParamsNumeroDocumento_QNAME, String.class,
            ConsultaIGACParams.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "http://converted.data.igac.gov.co/xsd", name = "pagina", scope =
        ConsultaIGACParams.class)
    public JAXBElement<String> createConsultaIGACParamsPagina(String value) {
        return new JAXBElement<String>(_ConsultaIGACParamsPagina_QNAME, String.class,
            ConsultaIGACParams.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "http://converted.data.igac.gov.co/xsd", name = "primerApellido",
        scope = ConsultaIGACParams.class)
    public JAXBElement<String> createConsultaIGACParamsPrimerApellido(String value) {
        return new JAXBElement<String>(_ConsultaIGACParamsPrimerApellido_QNAME, String.class,
            ConsultaIGACParams.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "http://converted.data.igac.gov.co/xsd", name = "razonSocial",
        scope = ConsultaIGACParams.class)
    public JAXBElement<String> createConsultaIGACParamsRazonSocial(String value) {
        return new JAXBElement<String>(_ConsultaIGACParamsRazonSocial_QNAME, String.class,
            ConsultaIGACParams.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "http://converted.data.igac.gov.co/xsd", name = "segundoNombre",
        scope = ConsultaIGACParams.class)
    public JAXBElement<String> createConsultaIGACParamsSegundoNombre(String value) {
        return new JAXBElement<String>(_ConsultaIGACParamsSegundoNombre_QNAME, String.class,
            ConsultaIGACParams.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "http://converted.data.igac.gov.co/xsd", name = "tipoDocumento",
        scope = ConsultaIGACParams.class)
    public JAXBElement<String> createConsultaIGACParamsTipoDocumento(String value) {
        return new JAXBElement<String>(_ConsultaIGACParamsTipoDocumento_QNAME, String.class,
            ConsultaIGACParams.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "http://converted.data.igac.gov.co/xsd", name = "tipoNumeroPredial",
        scope = ConsultaIGACParams.class)
    public JAXBElement<String> createConsultaIGACParamsTipoNumeroPredial(String value) {
        return new JAXBElement<String>(_ConsultaIGACParamsTipoNumeroPredial_QNAME, String.class,
            ConsultaIGACParams.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "http://converted.data.igac.gov.co/xsd", name = "matricula", scope =
        ConsultaIGACParams.class)
    public JAXBElement<String> createConsultaIGACParamsMatricula(String value) {
        return new JAXBElement<String>(_PredioConvMatricula_QNAME, String.class,
            ConsultaIGACParams.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "http://converted.data.igac.gov.co/xsd", name = "primerNombre",
        scope = ConsultaIGACParams.class)
    public JAXBElement<String> createConsultaIGACParamsPrimerNombre(String value) {
        return new JAXBElement<String>(_ConsultaIGACParamsPrimerNombre_QNAME, String.class,
            ConsultaIGACParams.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "http://converted.data.igac.gov.co/xsd", name = "segundoApellido",
        scope = ConsultaIGACParams.class)
    public JAXBElement<String> createConsultaIGACParamsSegundoApellido(String value) {
        return new JAXBElement<String>(_ConsultaIGACParamsSegundoApellido_QNAME, String.class,
            ConsultaIGACParams.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "http://converted.data.igac.gov.co/xsd", name = "numDoc", scope =
        PropietarioType.class)
    public JAXBElement<String> createPropietarioTypeNumDoc(String value) {
        return new JAXBElement<String>(_PropietarioTypeNumDoc_QNAME, String.class,
            PropietarioType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "http://converted.data.igac.gov.co/xsd", name = "tipoDoc", scope =
        PropietarioType.class)
    public JAXBElement<String> createPropietarioTypeTipoDoc(String value) {
        return new JAXBElement<String>(_PropietarioTypeTipoDoc_QNAME, String.class,
            PropietarioType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "http://converted.data.igac.gov.co/xsd", name = "nombre", scope =
        PropietarioType.class)
    public JAXBElement<String> createPropietarioTypeNombre(String value) {
        return new JAXBElement<String>(_PropietarioTypeNombre_QNAME, String.class,
            PropietarioType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "http://converted.data.igac.gov.co/xsd", name = "Exception", scope =
        Exception.class)
    public JAXBElement<Object> createExceptionException(Object value) {
        return new JAXBElement<Object>(_ExceptionException_QNAME, Object.class, Exception.class,
            value);
    }

}
